## tin 1.9.2+20061021

=== Makefile ===
# Top level Makefile for tin
# - for configuration options read the doc/INSTALL file.
#
# Updated: 2006-02-15
#

PROJECT	= tin
LVER	= 1
PVER	= 9
SVER	= 2
VER	= $(LVER).$(PVER).$(SVER)
DVER	= 20061021
EXE	= tin

# directory structure
TOPDIR	= .
DOCDIR	= ./doc
INCDIR	= ./include
OBJDIR	= ./src
SRCDIR	= ./src
PCREDIR	= ./pcre
CANDIR	= ./libcanlock
TOLDIR	= ./tools
PODIR	= ./po
INTLDIR	= ./intl

HFILES	= \
	$(INCDIR)/bool.h \
	$(INCDIR)/bugrep.h \
	$(INCDIR)/extern.h \
	$(INCDIR)/keymap.h \
	$(INCDIR)/newsrc.h \
	$(INCDIR)/nntplib.h \
	$(INCDIR)/plp_snprintf.h \
	$(INCDIR)/policy.h \
	$(INCDIR)/proto.h \
	$(INCDIR)/rfc2046.h \
	$(INCDIR)/stpwatch.h \
	$(INCDIR)/tcurses.h \
	$(INCDIR)/tin.h \
	$(INCDIR)/tinrc.h \
	$(INCDIR)/tnntp.h \
	$(INCDIR)/trace.h \
	$(INCDIR)/version.h

CFILES	= \
	$(SRCDIR)/active.c \
	$(SRCDIR)/art.c \
	$(SRCDIR)/attrib.c \
	$(SRCDIR)/auth.c \
	$(SRCDIR)/charset.c \
	$(SRCDIR)/color.c \
	$(SRCDIR)/config.c \
	$(SRCDIR)/cook.c \
	$(SRCDIR)/curses.c \
	$(SRCDIR)/debug.c\
	$(SRCDIR)/envarg.c \
	$(SRCDIR)/feed.c \
	$(SRCDIR)/filter.c \
	$(SRCDIR)/getline.c \
	$(SRCDIR)/global.c \
	$(SRCDIR)/group.c \
	$(SRCDIR)/hashstr.c \
	$(SRCDIR)/header.c \
	$(SRCDIR)/help.c\
	$(SRCDIR)/inews.c \
	$(SRCDIR)/init.c \
	$(SRCDIR)/joinpath.c \
	$(SRCDIR)/keymap.c \
	$(SRCDIR)/lang.c \
	$(SRCDIR)/langinfo.c \
	$(SRCDIR)/list.c \
	$(SRCDIR)/lock.c \
	$(SRCDIR)/mail.c \
	$(SRCDIR)/main.c \
	$(SRCDIR)/makecfg.c \
	$(SRCDIR)/memory.c \
	$(SRCDIR)/mimetypes.c \
	$(SRCDIR)/misc.c \
	$(SRCDIR)/newsrc.c\
	$(SRCDIR)/nntplib.c \
	$(SRCDIR)/nrctbl.c \
	$(SRCDIR)/options_menu.c \
	$(SRCDIR)/page.c \
	$(SRCDIR)/parsdate.y \
	$(SRCDIR)/plp_snprintf.c \
	$(SRCDIR)/pgp.c \
	$(SRCDIR)/post.c \
	$(SRCDIR)/prompt.c \
	$(SRCDIR)/read.c \
	$(SRCDIR)/refs.c \
	$(SRCDIR)/regex.c \
	$(SRCDIR)/rfc1524.c \
	$(SRCDIR)/rfc2045.c \
	$(SRCDIR)/rfc2046.c \
	$(SRCDIR)/rfc2047.c \
	$(SRCDIR)/save.c \
	$(SRCDIR)/screen.c \
	$(SRCDIR)/search.c \
	$(SRCDIR)/select.c \
	$(SRCDIR)/sigfile.c \
	$(SRCDIR)/signal.c \
	$(SRCDIR)/strftime.c \
	$(SRCDIR)/string.c \
	$(SRCDIR)/tags.c \
	$(SRCDIR)/tcurses.c \
	$(SRCDIR)/tmpfile.c \
	$(SRCDIR)/my_tmpfile.c \
	$(SRCDIR)/thread.c \
	$(SRCDIR)/trace.c \
	$(SRCDIR)/version.c \
	$(SRCDIR)/wildmat.c \
	$(SRCDIR)/xface.c \
	$(SRCDIR)/xref.c

DOC	= \
	$(DOCDIR)/ABOUT-NLS \
	$(DOCDIR)/CHANGES \
	$(DOCDIR)/CHANGES.old \
	$(DOCDIR)/CREDITS \
	$(DOCDIR)/DEBUG_REFS \
	$(DOCDIR)/INSTALL \
	$(DOCDIR)/TODO \
	$(DOCDIR)/WHATSNEW \
	$(DOCDIR)/art_handling.txt \
	$(DOCDIR)/article.txt \
	$(DOCDIR)/auth.txt \
	$(DOCDIR)/config-anomalies \
	$(DOCDIR)/filtering \
	$(DOCDIR)/good-netkeeping-seal \
	$(DOCDIR)/internals.txt \
	$(DOCDIR)/iso2asc.txt \
	$(DOCDIR)/keymap.sample \
	$(DOCDIR)/mailcap.sample \
	$(DOCDIR)/mime.types \
	$(DOCDIR)/nov_tests \
	$(DOCDIR)/opt-case.1 \
	$(DOCDIR)/pgp.txt \
	$(DOCDIR)/rcvars.txt \
	$(DOCDIR)/reading-mail.txt \
	$(DOCDIR)/umlaute.txt \
	$(DOCDIR)/umlauts.txt \
	$(DOCDIR)/tin.defaults \
	$(DOCDIR)/tinews.1 \
	$(DOCDIR)/tools.txt \
	$(DOCDIR)/mbox.5 \
	$(DOCDIR)/mmdf.5 \
	$(DOCDIR)/newsoverview.5 \
	$(DOCDIR)/plp_snprintf.3 \
	$(DOCDIR)/tin.1 \
	$(DOCDIR)/tin.5 \
	$(DOCDIR)/w2r.1 \
	$(DOCDIR)/wildmat.3

TOL	= \
	$(TOLDIR)/expiretover \
	$(TOLDIR)/metamutt \
	$(TOLDIR)/opt-case.pl \
	$(TOLDIR)/tinlock \
	$(TOLDIR)/tinews.pl \
	$(TOLDIR)/url_handler.sh \
	$(TOLDIR)/w2r.pl \
	$(TOLDIR)/expand_aliases.tgz

TOP	= \
	$(TOPDIR)/Makefile \
	$(TOPDIR)/MANIFEST \
	$(TOPDIR)/README \
	$(TOPDIR)/README.MAC \
	$(TOPDIR)/README.WIN \
	$(TOPDIR)/aclocal.m4 \
	$(TOPDIR)/conf-tin \
	$(TOPDIR)/config.guess \
	$(TOPDIR)/config.sub \
	$(TOPDIR)/configure \
	$(TOPDIR)/configure.in \
	$(TOPDIR)/install.sh \
	$(TOPDIR)/mkdirs.sh \
	$(TOPDIR)/tin.spec

PCRE	= \
	$(PCREDIR)/AUTHORS \
	$(PCREDIR)/COPYING \
	$(PCREDIR)/ChangeLog \
	$(PCREDIR)/INSTALL \
	$(PCREDIR)/LICENCE \
	$(PCREDIR)/Makefile.in \
	$(PCREDIR)/Makefile.in-old \
	$(PCREDIR)/NEWS \
	$(PCREDIR)/NON-UNIX-USE \
	$(PCREDIR)/README \
	$(PCREDIR)/RunTest.in \
	$(PCREDIR)/config.h \
	$(PCREDIR)/configure.in \
	$(PCREDIR)/dftables.c \
	$(PCREDIR)/pcre-config.in \
	$(PCREDIR)/pcre.h.in \
	$(PCREDIR)/pcre_compile.c \
	$(PCREDIR)/pcre_config.c \
	$(PCREDIR)/pcre_dfa_exec.c \
	$(PCREDIR)/pcre_exec.c \
	$(PCREDIR)/pcre_fullinfo.c \
	$(PCREDIR)/pcre_get.c \
	$(PCREDIR)/pcre_globals.c \
	$(PCREDIR)/pcre_info.c \
	$(PCREDIR)/pcre_internal.h \
	$(PCREDIR)/pcre_maketables.c \
	$(PCREDIR)/pcre_ord2utf8.c \
	$(PCREDIR)/pcre_printint.src \
	$(PCREDIR)/pcre_refcount.c \
	$(PCREDIR)/pcre_study.c \
	$(PCREDIR)/pcre_tables.c \
	$(PCREDIR)/pcre_try_flipped.c \
	$(PCREDIR)/pcre_ucp_findchar.c \
	$(PCREDIR)/pcre_valid_utf8.c \
	$(PCREDIR)/pcre_version.c \
	$(PCREDIR)/pcre_xclass.c \
	$(PCREDIR)/pcredemo.c \
	$(PCREDIR)/pcregrep.c \
	$(PCREDIR)/pcreposix.c \
	$(PCREDIR)/pcreposix.h \
	$(PCREDIR)/pcretest.c \
	$(PCREDIR)/perltest \
	$(PCREDIR)/ucp.h \
	$(PCREDIR)/ucpinternal.h \
	$(PCREDIR)/ucptable.c \
	$(PCREDIR)/version.sh \
	$(PCREDIR)/doc/pcre.3 \
	$(PCREDIR)/doc/pcrepattern.3 \
	$(PCREDIR)/testdata/testinput1 \
	$(PCREDIR)/testdata/testinput2 \
	$(PCREDIR)/testdata/testinput3 \
	$(PCREDIR)/testdata/testinput4 \
	$(PCREDIR)/testdata/testinput5 \
	$(PCREDIR)/testdata/testinput6 \
	$(PCREDIR)/testdata/testinput7 \
	$(PCREDIR)/testdata/testinput8 \
	$(PCREDIR)/testdata/testinput9 \
	$(PCREDIR)/testdata/testoutput1 \
	$(PCREDIR)/testdata/testoutput2 \
	$(PCREDIR)/testdata/testoutput3 \
	$(PCREDIR)/testdata/testoutput4 \
	$(PCREDIR)/testdata/testoutput5 \
	$(PCREDIR)/testdata/testoutput6 \
	$(PCREDIR)/testdata/testoutput7 \
	$(PCREDIR)/testdata/testoutput8 \
	$(PCREDIR)/testdata/testoutput9

CAN	= \
	$(CANDIR)/Build \
	$(CANDIR)/CHANGES \
	$(CANDIR)/MANIFEST \
	$(CANDIR)/README \
	$(CANDIR)/base64.c \
	$(CANDIR)/base64.h \
	$(CANDIR)/canlock.h \
	$(CANDIR)/canlock_md5.c \
	$(CANDIR)/canlock_misc.c \
	$(CANDIR)/canlock_sha1.c \
	$(CANDIR)/canlocktest.c \
	$(CANDIR)/endian.c \
	$(CANDIR)/hmac_md5.c \
	$(CANDIR)/hmac_md5.h \
	$(CANDIR)/hmac_sha1.c \
	$(CANDIR)/hmac_sha1.h \
	$(CANDIR)/hmactest.c \
	$(CANDIR)/main.c \
	$(CANDIR)/md5.c \
	$(CANDIR)/md5.h \
	$(CANDIR)/sha1.c \
	$(CANDIR)/sha1.h \
	$(CANDIR)/doc/HOWTO \
	$(CANDIR)/doc/draft-ietf-usefor-cancel-lock-01.txt \
	$(CANDIR)/doc/rfc2104.txt \
	$(CANDIR)/doc/rfc2202.txt \
	$(CANDIR)/doc/rfc2286.txt

MISC	= \
	$(INCDIR)/autoconf.hin \
	$(SRCDIR)/Makefile.in \
	$(SRCDIR)/tincfg.tbl \

INTLFILES = \
	$(INTLDIR)/bindtextdom.c \
	$(INTLDIR)/ChangeLog \
	$(INTLDIR)/config.charset \
	$(INTLDIR)/dcgettext.c \
	$(INTLDIR)/dcigettext.c \
	$(INTLDIR)/dcngettext.c \
	$(INTLDIR)/dgettext.c \
	$(INTLDIR)/dngettext.c \
	$(INTLDIR)/explodename.c \
	$(INTLDIR)/finddomain.c \
	$(INTLDIR)/gettext.c \
	$(INTLDIR)/gettext.h \
	$(INTLDIR)/gettextP.h \
	$(INTLDIR)/hash-string.h \
	$(INTLDIR)/intl-compat.c \
	$(INTLDIR)/l10nflist.c \
	$(INTLDIR)/libgettext.h \
	$(INTLDIR)/libgnuintl.h \
	$(INTLDIR)/loadinfo.h \
	$(INTLDIR)/loadmsgcat.c \
	$(INTLDIR)/localcharset.c \
	$(INTLDIR)/locale.alias \
	$(INTLDIR)/localealias.c \
	$(INTLDIR)/Makefile.in \
	$(INTLDIR)/ngettext.c \
	$(INTLDIR)/plural.c \
	$(INTLDIR)/plural.y \
	$(INTLDIR)/ref-add.sin \
	$(INTLDIR)/ref-del.sin \
	$(INTLDIR)/textdomain.c \
	$(INTLDIR)/VERSION

POFILES = \
	$(PODIR)/Makefile.inn \
	$(PODIR)/POTFILES.in \
	$(PODIR)/$(PROJECT).pot \
	$(PODIR)/de.gmo \
	$(PODIR)/de.po \
	$(PODIR)/en_GB.gmo \
	$(PODIR)/en_GB.po \
	$(PODIR)/et.gmo \
	$(PODIR)/et.po \
	$(PODIR)/fr.gmo \
	$(PODIR)/fr.po \
	$(PODIR)/ru.gmo \
	$(PODIR)/ru.po \
	$(PODIR)/rw.gmo \
	$(PODIR)/rw.po \
	$(PODIR)/sv.gmo \
	$(PODIR)/sv.po \
	$(PODIR)/tr.gmo \
	$(PODIR)/tr.po


ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(INTLFILES) $(POFILES)

ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(CANDIR)/doc $(INTLDIR) $(PODIR)

# standard commands
CD	= cd
CHMOD	= chmod
CP	= cp -p
ECHO	= echo
LS	= ls
MAKE	= make
MV	= mv
NROFF	= groff -Tascii
RM	= rm
SHELL	= /bin/sh
TAR	= tar
GZIP	= gzip
BZIP2	= bzip2
WC	= wc
SED	= sed
TR	= tr
TEST	= test


all:
	@$(ECHO) "Top level Makefile for the $(PROJECT) v$(VER) Usenet newsreader."
	@$(ECHO) " "
	@$(ECHO) "To compile the source code type 'make build' or change to the"
	@$(ECHO) "source directory by typing 'cd src' and then type 'make'."
	@$(ECHO) " "
	@$(ECHO) "This Makefile offers the following general purpose options:"
	@$(ECHO) " "
	@$(ECHO) "    make build           [ Compile $(PROJECT) ]"
	@$(ECHO) "    make clean           [ Delete all object and backup files ]"
	@$(ECHO) "    make dist            [ Create a gzipped & bzipped distribution tar file ]"
	@$(ECHO) "    make distclean       [ Delete all config, object and backup files ]"
	@$(ECHO) "    make install         [ Install the binary and the manual page ]"
	@$(ECHO) "    make install_sysdefs [ Install the system-wide-defaults file ]"
	@$(ECHO) "    make manpage         [ Create nroff version of manual page ]"
	@$(ECHO) "    make manifest        [ Create MANIFEST ]"
	@$(ECHO) " "

build:
	@-if $(TEST) -r $(SRCDIR)/Makefile ; then $(CD) $(SRCDIR) && $(MAKE) ; else $(ECHO) "You need to run configure first - didn't you read README?" ; fi

install:
	@$(CD) $(SRCDIR) && $(MAKE) install

install_sysdefs:
	@$(CD) $(SRCDIR) && $(MAKE) install_sysdefs

clean:
	@-$(RM) -f \
	*~ \
	$(DOCDIR)/*~ \
	$(INCDIR)/*~ \
	$(SRCDIR)/*~ \
	$(PCREDIR)/*~
	@-if $(TEST) -r $(PCREDIR)/Makefile ; then $(CD) $(PCREDIR) && $(MAKE) clean ; fi
	@-if $(TEST) -r $(INTLDIR)/Makefile ; then $(CD) $(INTLDIR) && $(MAKE) clean ; fi
	@-if $(TEST) -r $(PODIR)/Makefile ; then $(CD) $(PODIR) && $(MAKE) clean ; fi
	@-if $(TEST) -r $(SRCDIR)/Makefile ; then $(CD) $(SRCDIR) && $(MAKE) clean ; fi
	@-if $(TEST) -r $(CANDIR)/hmactest ; then $(CD) $(CANDIR) && ./Build clean ; fi

man:
	@$(MAKE) manpage

manpage:
	@$(ECHO) "Creating $(NROFF) man page for $(EXE)-$(VER)..."
	@$(NROFF) -man $(DOCDIR)/tin.1 > $(DOCDIR)/$(EXE).nrf

# Use 2 passes for creating MANIFEST because its size changes (it's not likely
# that we'll need 3 passes, since that'll happen only when the grand total's
# digits change).
manifest:
	@$(ECHO) "Creating MANIFEST..."
	@$(ECHO) "MANIFEST for $(PROJECT)-$(VER) (`date`)" > MANIFEST.tmp
	@$(ECHO) "----------------------------------------------------" >> MANIFEST.tmp
	@$(CP) MANIFEST.tmp MANIFEST
	@$(WC) -c $(ALL_FILES) >> MANIFEST
	@$(WC) -c $(ALL_FILES) >> MANIFEST.tmp
	@$(MV) MANIFEST.tmp MANIFEST

chmod:
	@$(ECHO) "Setting the file permissions..."
	@$(CHMOD) 644 $(ALL_FILES)
	@$(CHMOD) 755 \
	$(ALL_DIRS) \
	./conf-tin \
	./config.guess \
	./config.sub \
	./configure \
	./install.sh \
	./mkdirs.sh \
	$(TOLDIR)/expiretover \
	$(TOLDIR)/metamutt \
	$(TOLDIR)/opt-case.pl \
	$(TOLDIR)/tinlock \
	$(TOLDIR)/tinews.pl \
	$(TOLDIR)/url_handler.sh \
	$(TOLDIR)/w2r.pl \
	$(PCREDIR)/perltest \
	$(PCREDIR)/version.sh \
	$(CANDIR)/Build

tar:
	@$(ECHO) "Generating gzipped tar file..."
	@-$(RM) -f $(PROJECT)-$(VER).tar.gz
	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
	`$(ECHO) $(ALL_FILES) \
	| $(TR) -s '[[:space:]]' "[\012*]" \
	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
	| $(TR) "[\012]" " "`
	@$(GZIP) -9 $(PROJECT)-$(VER).tar
	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.gz
	@$(LS) -l $(PROJECT)-$(VER).tar.gz

bzip2:
	@$(ECHO) "Generating bzipped tar file..."
	@-$(RM) -f $(PROJECT)-$(VER).tar.bz2
	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
	`$(ECHO) $(ALL_FILES) \
	| $(TR) -s '[[:space:]]' "[\012*]" \
	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
	| $(TR) "[\012]" " "`
	@$(BZIP2) -9 $(PROJECT)-$(VER).tar
	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.bz2
	@$(LS) -l $(PROJECT)-$(VER).tar.bz2

#
# I know it's ugly, but it works
#
name:
	@DATE=`date +%Y%m%d` ; NAME=`basename \`pwd\`` ;\
	if $(TEST) $$NAME != "$(PROJECT)-$(VER)" ; then \
		$(MV) ../$$NAME ../$(PROJECT)-$(VER) ;\
	fi ;\
	$(SED) "s,^PACKAGE=[[:print:]]*,PACKAGE=$(PROJECT)," ./configure.in > ./configure.in.out && \
	$(SED) "s,^VERSION=[[:print:]]*,VERSION=$(VER)," ./configure.in.out > ./configure.in && \

## tin 1.9.2+20070201

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2006-02-15
+# Updated: 2006-12-21
 #
 
 PROJECT	= tin
@@ -9,7 +9,7 @@
 PVER	= 9
 SVER	= 2
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20061021
+DVER	= 20070201
 EXE	= tin
 
 # directory structure
@@ -194,7 +194,7 @@
 	$(PCREDIR)/configure.in \
 	$(PCREDIR)/dftables.c \
 	$(PCREDIR)/pcre-config.in \
-	$(PCREDIR)/pcre.h.in \
+	$(PCREDIR)/pcre.h \
 	$(PCREDIR)/pcre_compile.c \
 	$(PCREDIR)/pcre_config.c \
 	$(PCREDIR)/pcre_dfa_exec.c \
@@ -205,13 +205,14 @@
 	$(PCREDIR)/pcre_info.c \
 	$(PCREDIR)/pcre_internal.h \
 	$(PCREDIR)/pcre_maketables.c \
+	$(PCREDIR)/pcre_newline.c \
 	$(PCREDIR)/pcre_ord2utf8.c \
 	$(PCREDIR)/pcre_printint.src \
 	$(PCREDIR)/pcre_refcount.c \
 	$(PCREDIR)/pcre_study.c \
 	$(PCREDIR)/pcre_tables.c \
 	$(PCREDIR)/pcre_try_flipped.c \
-	$(PCREDIR)/pcre_ucp_findchar.c \
+	$(PCREDIR)/pcre_ucp_searchfuncs.c \
 	$(PCREDIR)/pcre_valid_utf8.c \
 	$(PCREDIR)/pcre_version.c \
 	$(PCREDIR)/pcre_xclass.c \
@@ -224,7 +225,6 @@
 	$(PCREDIR)/ucp.h \
 	$(PCREDIR)/ucpinternal.h \
 	$(PCREDIR)/ucptable.c \
-	$(PCREDIR)/version.sh \
 	$(PCREDIR)/doc/pcre.3 \
 	$(PCREDIR)/doc/pcrepattern.3 \
 	$(PCREDIR)/testdata/testinput1 \
@@ -249,6 +249,7 @@
 CAN	= \
 	$(CANDIR)/Build \
 	$(CANDIR)/CHANGES \
+	$(CANDIR)/HOWTO \
 	$(CANDIR)/MANIFEST \
 	$(CANDIR)/README \
 	$(CANDIR)/base64.c \
@@ -268,17 +269,12 @@
 	$(CANDIR)/md5.c \
 	$(CANDIR)/md5.h \
 	$(CANDIR)/sha1.c \
-	$(CANDIR)/sha1.h \
-	$(CANDIR)/doc/HOWTO \
-	$(CANDIR)/doc/draft-ietf-usefor-cancel-lock-01.txt \
-	$(CANDIR)/doc/rfc2104.txt \
-	$(CANDIR)/doc/rfc2202.txt \
-	$(CANDIR)/doc/rfc2286.txt
+	$(CANDIR)/sha1.h
 
 MISC	= \
 	$(INCDIR)/autoconf.hin \
 	$(SRCDIR)/Makefile.in \
-	$(SRCDIR)/tincfg.tbl \
+	$(SRCDIR)/tincfg.tbl
 
 INTLFILES = \
 	$(INTLDIR)/bindtextdom.c \
@@ -337,7 +333,7 @@
 
 ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(INTLFILES) $(POFILES)
 
-ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(CANDIR)/doc $(INTLDIR) $(PODIR)
+ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(INTLDIR) $(PODIR)
 
 # standard commands
 CD	= cd
@@ -423,12 +419,12 @@
 	@$(CHMOD) 644 $(ALL_FILES)
 	@$(CHMOD) 755 \
 	$(ALL_DIRS) \
-	./conf-tin \
-	./config.guess \
-	./config.sub \
-	./configure \
-	./install.sh \
-	./mkdirs.sh \
+	$(TOPDIR)/conf-tin \
+	$(TOPDIR)/config.guess \
+	$(TOPDIR)/config.sub \
+	$(TOPDIR)/configure \
+	$(TOPDIR)/install.sh \
+	$(TOPDIR)/mkdirs.sh \
 	$(TOLDIR)/expiretover \
 	$(TOLDIR)/metamutt \
 	$(TOLDIR)/opt-case.pl \
@@ -437,7 +433,6 @@
 	$(TOLDIR)/url_handler.sh \
 	$(TOLDIR)/w2r.pl \
 	$(PCREDIR)/perltest \
-	$(PCREDIR)/version.sh \
 	$(CANDIR)/Build
 
 tar:
@@ -474,3 +469,5 @@
 	fi ;\
 	$(SED) "s,^PACKAGE=[[:print:]]*,PACKAGE=$(PROJECT)," ./configure.in > ./configure.in.out && \
 	$(SED) "s,^VERSION=[[:print:]]*,VERSION=$(VER)," ./configure.in.out > ./configure.in && \
+	$(RM) ./configure.in.out ;\
+	$(SED) "s,^DVER[[:space:]]*=[[:print:]]*,DVER	= $$DATE," ./Makefile > ./Makefile.tmp && \

## tin 1.9.3+rel

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2006-12-21
+# Updated: 2007-09-24
 #
 
 PROJECT	= tin
 LVER	= 1
 PVER	= 9
-SVER	= 2
+SVER	= 3
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20070201
+DVER	= 20080506
 EXE	= tin
 
 # directory structure
@@ -27,6 +27,7 @@
 HFILES	= \
 	$(INCDIR)/bool.h \
 	$(INCDIR)/bugrep.h \
+	$(INCDIR)/debug.h \
 	$(INCDIR)/extern.h \
 	$(INCDIR)/keymap.h \
 	$(INCDIR)/newsrc.h \
@@ -132,23 +133,24 @@
 	$(DOCDIR)/iso2asc.txt \
 	$(DOCDIR)/keymap.sample \
 	$(DOCDIR)/mailcap.sample \
+	$(DOCDIR)/mbox.5 \
 	$(DOCDIR)/mime.types \
+	$(DOCDIR)/mmdf.5 \
+	$(DOCDIR)/newsoverview.5 \
 	$(DOCDIR)/nov_tests \
 	$(DOCDIR)/opt-case.1 \
+	$(DOCDIR)/plp_snprintf.3 \
 	$(DOCDIR)/pgp.txt \
 	$(DOCDIR)/rcvars.txt \
 	$(DOCDIR)/reading-mail.txt \
 	$(DOCDIR)/umlaute.txt \
 	$(DOCDIR)/umlauts.txt \
+	$(DOCDIR)/url_handler.1 \
+	$(DOCDIR)/tin.1 \
+	$(DOCDIR)/tin.5 \
 	$(DOCDIR)/tin.defaults \
 	$(DOCDIR)/tinews.1 \
 	$(DOCDIR)/tools.txt \
-	$(DOCDIR)/mbox.5 \
-	$(DOCDIR)/mmdf.5 \
-	$(DOCDIR)/newsoverview.5 \
-	$(DOCDIR)/plp_snprintf.3 \
-	$(DOCDIR)/tin.1 \
-	$(DOCDIR)/tin.5 \
 	$(DOCDIR)/w2r.1 \
 	$(DOCDIR)/wildmat.3
 
@@ -158,6 +160,7 @@
 	$(TOLDIR)/opt-case.pl \
 	$(TOLDIR)/tinlock \
 	$(TOLDIR)/tinews.pl \
+	$(TOLDIR)/url_handler.pl \
 	$(TOLDIR)/url_handler.sh \
 	$(TOLDIR)/w2r.pl \
 	$(TOLDIR)/expand_aliases.tgz
@@ -192,6 +195,7 @@
 	$(PCREDIR)/RunTest.in \
 	$(PCREDIR)/config.h \
 	$(PCREDIR)/configure.in \
+	$(PCREDIR)/version.sh \
 	$(PCREDIR)/dftables.c \
 	$(PCREDIR)/pcre-config.in \
 	$(PCREDIR)/pcre.h \
@@ -247,29 +251,22 @@
 	$(PCREDIR)/testdata/testoutput9
 
 CAN	= \
-	$(CANDIR)/Build \
 	$(CANDIR)/CHANGES \
 	$(CANDIR)/HOWTO \
-	$(CANDIR)/MANIFEST \
 	$(CANDIR)/README \
-	$(CANDIR)/base64.c \
-	$(CANDIR)/base64.h \
-	$(CANDIR)/canlock.h \
-	$(CANDIR)/canlock_md5.c \
-	$(CANDIR)/canlock_misc.c \
-	$(CANDIR)/canlock_sha1.c \
-	$(CANDIR)/canlocktest.c \
-	$(CANDIR)/endian.c \
-	$(CANDIR)/hmac_md5.c \
-	$(CANDIR)/hmac_md5.h \
-	$(CANDIR)/hmac_sha1.c \
-	$(CANDIR)/hmac_sha1.h \
-	$(CANDIR)/hmactest.c \
-	$(CANDIR)/main.c \
-	$(CANDIR)/md5.c \
-	$(CANDIR)/md5.h \
-	$(CANDIR)/sha1.c \
-	$(CANDIR)/sha1.h
+	$(CANDIR)/Makefile.in \
+	$(CANDIR)/src/base64.c \
+	$(CANDIR)/src/canlock.c \
+	$(CANDIR)/src/hmac_sha1.c \
+	$(CANDIR)/src/sha1.c \
+	$(CANDIR)/include/base64.h \
+	$(CANDIR)/include/canlock.h \
+	$(CANDIR)/include/hmac_sha1.h \
+	$(CANDIR)/include/sha1.h \
+	$(CANDIR)/t/canlocktest.c \
+	$(CANDIR)/t/hmactest.c \
+	$(CANDIR)/t/canlocktest.shouldbe \
+	$(CANDIR)/t/hmactest.shouldbe
 
 MISC	= \
 	$(INCDIR)/autoconf.hin \
@@ -393,7 +390,7 @@
 	@-if $(TEST) -r $(INTLDIR)/Makefile ; then $(CD) $(INTLDIR) && $(MAKE) clean ; fi
 	@-if $(TEST) -r $(PODIR)/Makefile ; then $(CD) $(PODIR) && $(MAKE) clean ; fi
 	@-if $(TEST) -r $(SRCDIR)/Makefile ; then $(CD) $(SRCDIR) && $(MAKE) clean ; fi
-	@-if $(TEST) -r $(CANDIR)/hmactest ; then $(CD) $(CANDIR) && ./Build clean ; fi
+	@-if $(TEST) -r $(CANDIR)/Makefile ; then $(CD) $(CANDIR) && $(MAKE) clean ; fi
 
 man:
 	@$(MAKE) manpage
@@ -430,10 +427,11 @@
 	$(TOLDIR)/opt-case.pl \
 	$(TOLDIR)/tinlock \
 	$(TOLDIR)/tinews.pl \
+	$(TOLDIR)/url_handler.pl \
 	$(TOLDIR)/url_handler.sh \
 	$(TOLDIR)/w2r.pl \
 	$(PCREDIR)/perltest \
-	$(CANDIR)/Build
+	$(PCREDIR)/version.sh
 
 tar:
 	@$(ECHO) "Generating gzipped tar file..."
@@ -470,4 +468,3 @@
 	$(SED) "s,^PACKAGE=[[:print:]]*,PACKAGE=$(PROJECT)," ./configure.in > ./configure.in.out && \
 	$(SED) "s,^VERSION=[[:print:]]*,VERSION=$(VER)," ./configure.in.out > ./configure.in && \
 	$(RM) ./configure.in.out ;\
-	$(SED) "s,^DVER[[:space:]]*=[[:print:]]*,DVER	= $$DATE," ./Makefile > ./Makefile.tmp && \

## tin 1.9.4

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2007-09-24
+# Updated: 2008-08-19
 #
 
 PROJECT	= tin
 LVER	= 1
 PVER	= 9
-SVER	= 3
+SVER	= 4
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20080506
+DVER	= 20090211
 EXE	= tin
 
 # directory structure
@@ -23,6 +23,7 @@
 TOLDIR	= ./tools
 PODIR	= ./po
 INTLDIR	= ./intl
+L10NDIR	= ./doc/l10n
 
 HFILES	= \
 	$(INCDIR)/bool.h \
@@ -327,10 +328,17 @@
 	$(PODIR)/tr.gmo \
 	$(PODIR)/tr.po
 
-
-ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(INTLFILES) $(POFILES)
-
-ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(INTLDIR) $(PODIR)
+L10NFILES = \
+	$(L10NDIR)/de/tin.1 \
+	$(L10NDIR)/de/tin.5 \
+	$(L10NDIR)/de.add \
+	$(L10NDIR)/de.po \
+	$(L10NDIR)/po4a.conf \
+	$(L10NDIR)/tin-man.pot
+
+ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(INTLFILES) $(POFILES) $(L10NFILES)
+
+ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(INTLDIR) $(PODIR) $(L10NDIR) $(L10NDIR)/de
 
 # standard commands
 CD	= cd
@@ -465,6 +473,3 @@
 	if $(TEST) $$NAME != "$(PROJECT)-$(VER)" ; then \
 		$(MV) ../$$NAME ../$(PROJECT)-$(VER) ;\
 	fi ;\
-	$(SED) "s,^PACKAGE=[[:print:]]*,PACKAGE=$(PROJECT)," ./configure.in > ./configure.in.out && \
-	$(SED) "s,^VERSION=[[:print:]]*,VERSION=$(VER)," ./configure.in.out > ./configure.in && \
-	$(RM) ./configure.in.out ;\

## tin 1.9.5

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2008-08-19
+# Updated: 2009-07-24
 #
 
 PROJECT	= tin
 LVER	= 1
 PVER	= 9
-SVER	= 4
+SVER	= 5
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20090211
+DVER	= 20091224
 EXE	= tin
 
 # directory structure
@@ -354,6 +354,7 @@
 TAR	= tar
 GZIP	= gzip
 BZIP2	= bzip2
+LZMA	= lzma
 WC	= wc
 SED	= sed
 TR	= tr
@@ -465,11 +466,10 @@
 	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.bz2
 	@$(LS) -l $(PROJECT)-$(VER).tar.bz2
 
-#
-# I know it's ugly, but it works
-#
-name:
-	@DATE=`date +%Y%m%d` ; NAME=`basename \`pwd\`` ;\
-	if $(TEST) $$NAME != "$(PROJECT)-$(VER)" ; then \
-		$(MV) ../$$NAME ../$(PROJECT)-$(VER) ;\
-	fi ;\
+lzma:
+	@$(ECHO) "Generating lzma compressd tar file..."
+	@-$(RM) -f $(PROJECT)-$(VER).tar.lzma
+	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
+	`$(ECHO) $(ALL_FILES) \
+	| $(TR) -s '[[:space:]]' "[\012*]" \
+	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \

## tin 1.9.6~20100522

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,9 @@
 PROJECT	= tin
 LVER	= 1
 PVER	= 9
-SVER	= 5
+SVER	= 6
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20091224
+DVER	= 20100522
 EXE	= tin
 
 # directory structure
@@ -311,6 +311,8 @@
 	$(PODIR)/Makefile.inn \
 	$(PODIR)/POTFILES.in \
 	$(PODIR)/$(PROJECT).pot \
+	$(PODIR)/da.gmo \
+	$(PODIR)/da.po \
 	$(PODIR)/de.gmo \
 	$(PODIR)/de.po \
 	$(PODIR)/en_GB.gmo \
@@ -472,4 +474,3 @@
 	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
 	`$(ECHO) $(ALL_FILES) \
 	| $(TR) -s '[[:space:]]' "[\012*]" \
-	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \

=== debian/changelog ===
tin (1:1.9.6~20100522-1) unstable; urgency=low

  * New upstream snapshot.
  * Added complexity to fix a kfreebsd FTBFS. (Closes: #577714)

 -- Marco d'Itri <md@linux.it>  Tue, 01 Jun 2010 00:29:38 +0200

tin (1:1.9.6~20100401-1) unstable; urgency=low

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 11 Apr 2010 16:45:07 +0200

tin (1:1.9.6~20100313-1) unstable; urgency=low

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 14 Mar 2010 01:31:43 +0100

tin (1:1.9.5-1) unstable; urgency=low

  * New upstream release.
    + Adds dead connection detection. (Closes: #534747)
    + Adds support for marking articles as read/unread. (Closes: #541472)
    + Fixes segfaults in feed_articles(). (Closes: #557528)
  * New debconf translation: ru. (Closes: #541764)

 -- Marco d'Itri <md@linux.it>  Thu, 24 Dec 2009 14:40:30 +0100

tin (1:1.9.5~20090720-1) unstable; urgency=low

  * New upstream snapshot. Fixes:
    + CAPABILITIES errors handling. (Closes: #525917, #526646)

 -- Marco d'Itri <md@linux.it>  Mon, 10 Aug 2009 15:33:49 +0200

tin (1:1.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 02 Mar 2009 02:52:03 +0100

tin (1:1.9.3+rel-1) unstable; urgency=medium

  * New upstream release.
  * Stop building with -O2 on m68k. (Closes: #478721)
  * Link the package with libuu for yenc support.

 -- Marco d'Itri <md@linux.it>  Mon, 12 May 2008 23:53:26 +0200

tin (1:1.9.3+20080326-1) unstable; urgency=low

  * New upstream snapshot.
  * Source package converted to quilt.
  * Provide an md5sums control file to stop people complaining about a missing
    md5sums control file. (Closes: #439443)

 -- Marco d'Itri <md@linux.it>  Mon, 07 Apr 2008 01:56:44 +0200

tin (1:1.9.2+20070201-1) unstable; urgency=medium

  * New upstream snapshot, only bug fixes.
    + Does not contain the evil RFCs which are not considered worthy for
      Debian anymore. (Closes: #395101)
  * Updated debconf translation: de, ja. (Closes: #396044, #402621)
  * Applied patch fix_capab_loop from the upstream maintainer to fix
    an endless loop when connecting to Typhoon servers.

 -- Marco d'Itri <md@linux.it>  Sun, 25 Feb 2007 20:24:33 +0100

tin (1:1.9.2+20061021-1) unstable; urgency=medium

  * New upstream snapshot.
  * Updated debconf translation: es. (Closes: #385326)

 -- Marco d'Itri <md@linux.it>  Sun, 22 Oct 2006 12:24:14 +0200

tin (1:1.9.2+20060621-1) unstable; urgency=low

  * New upstream snapshot.
    + Fixes generation of by-Message-ID filters. (Closes: #374462)
  * New debconf translation: po. (Closes: #381370)

 -- Marco d'Itri <md@linux.it>  Sun, 20 Aug 2006 00:24:02 +0200

tin (1:1.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 29 Apr 2006 12:29:13 +0200

tin (1:1.8.1-1) unstable; urgency=medium

  * New upstream release.
    + Fixes a bug in the maildir check. (Closes: #347422)

 -- Marco d'Itri <md@linux.it>  Thu, 16 Feb 2006 13:40:50 +0100

tin (1:1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * New debconf translations: sv, cs (Closes: #331596, #345139).
  * Switched from the old built-in libcanlock to the libcanlock2 package.

 -- Marco d'Itri <md@linux.it>  Sat,  7 Jan 2006 10:51:35 +0100

tin (1:1.7.10+20050815-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use -O1 on m68k to work around GCC ICE #323016.
  * New debconf translations: fr, vi (Closes: #322930, #322304).

 -- Marco d'Itri <md@linux.it>  Mon, 15 Aug 2005 20:27:35 +0200

tin (1:1.7.10+20050727-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + display of flowed lines with multibyte characters. (Closes: #317549)
  * New debconf translations: cs (Closes: #312977, #319590).

 -- Marco d'Itri <md@linux.it>  Wed,  3 Aug 2005 17:56:46 +0200

tin (1:1.7.8+20050314-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + i18n-related wrapping in the filter menu. (Closes: #294802)
    + CAPABILITIES. (Closes: #293978)
    + truncates the temporary file before reusing it. (Closes: #275944)
    + Keymap collisions. (Closes: #240916)
  * Improved the debconf question. (Closes: #279500)
  * Fixed a typo in the description. (Closes: #300041)

 -- Marco d'Itri <md@linux.it>  Sun, 20 Mar 2005 18:40:54 +0100

tin (1:1.7.6+rel-1) unstable; urgency=medium

  * New upstream release. Fixes:
    + crash at top level (Closes: #236267)
    + undeclared_charset (Closes: #256867)
    + article loss on editor errors (Closes: #260434)

 -- Marco d'Itri <md@linux.it>  Mon, 23 Aug 2004 19:01:38 +0200

tin (1:1.7.6+20040707-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 11 Jul 2004 14:38:36 +0200

tin (1:1.7.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #253823, #252972)
  * Change the ask_for_metamail default to TRUE. (Closes: #243240)

 -- Marco d'Itri <md@linux.it>  Tue, 15 Jun 2004 12:39:03 +0200

tin (1:1.7.4+rel-1) unstable; urgency=medium

  * New upstream release.
  * Added doc/TODO to the installed documentation. (Closes: #233230)

 -- Marco d'Itri <md@linux.it>  Fri, 27 Feb 2004 16:17:33 +0100

tin (1:1.7.4+20040111-1) unstable; urgency=medium

  * New upstream snapshot.
  * Compiled with libidn11. (Closes: #227310)

 -- Marco d'Itri <md@linux.it>  Tue, 13 Jan 2004 12:14:38 +0100

tin (1:1.7.4+20031226-1) unstable; urgency=medium

  * New upstream snapshot.
  * Converted to DBS.

 -- Marco d'Itri <md@linux.it>  Sat, 27 Dec 2003 15:31:00 +0100

tin (1:1.7.3+20031209-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Thu, 11 Dec 2003 20:32:30 +0100

tin (1:1.7.2+rel-1) unstable; urgency=medium

  * New upstream release.
  * Trap the KEY_RESIZE event. (Closes: #212966)

 -- Marco d'Itri <md@linux.it>  Sat, 15 Nov 2003 17:28:34 +0100

tin (1:1.7.2+20031002-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #211107)
  * Fixed segfault. (Closes: #214405)



=== debian/control ===
Source: tin
Section: news
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>> 7), bison, bzip2, libpcre3-dev, libncursesw5-dev, libidn11-dev, libcanlock2-dev, libuu-dev
Standards-Version: 3.8.4

Package: tin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: exim4 | mail-transport-agent
Suggests: metamail, gnupg, ispell
Provides: news-reader
Description: A full-screen easy to use Usenet newsreader
 tin can read news locally (i.e. from /var/spool/news) or remotely (rtin or
 tin -r option) via an NNTP (Network News Transport Protocol) server.
Homepage: http://www.tin.org/

=== debian/rules ===
#!/usr/bin/make -f
SHELL=/bin/bash -e

D := $(CURDIR)/debian/tin

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  configure_flags += --build $(DEB_HOST_GNU_TYPE)
else
  configure_flags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

clean:
	rm -f debian/.stamp-* doc/CHANGES.tmp
	$(MAKE) distclean
	dh_clean

configure: config.status
config.status:
	dh_testdir
	./configure $(configure_flags) \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--with-pcre=/usr --with-domain-name=/etc/mailname \
		--with-mailbox=/var/mail \
		--with-editor=/usr/bin/editor --with-ispell=ispell \
		--without-pgp --without-pgpk --with-gpg=gpg \
		--with-metamail=metamail --with-slrnface=slrnface \
		--with-sum=sum --with-shell=bash \
		--with-spool-dir=/var/spool/news \
		--with-nov-dir=/var/spool/news/over.view \
		--with-libdir=/var/lib/news --with-inews-dir=/usr/bin \
		--with-nntp-default-server=localhost \
		--with-screen=ncursesw --enable-nntp --enable-ipv6 \
		--enable-included-msgs --enable-nls \
		--enable-mh-mail-handling --enable-cancel-locks \
		--with-mime-default-charset=ISO-8859-15

build: debian/.stamp-build
debian/.stamp-build: config.status
	dh_testdir
	cd src && $(MAKE)
	touch $@

binary-arch: debian/.stamp-build checkroot
	dh_testdir
	dh_prep
	dh_installdirs /etc/tin/ /usr/bin/ /usr/share/doc/tin/tools/

	$(MAKE) -C src install_nls prefix=$D/usr
	cp src/tin $D/usr/bin/
	cp doc/tin.defaults $D/etc/tin/
	cp tools/* $D/usr/share/doc/tin/tools/

	dh_installmenu
	dh_installdocs
	dh_installexamples
	dh_installman doc/tin.1 doc/tin.5 
	dh_link usr/share/man/man1/tin.1.gz usr/share/man/man1/rtin.1.gz \
		usr/bin/tin usr/bin/rtin
	cat doc/CHANGES doc/CHANGES.old > doc/CHANGES.tmp
	dh_installchangelogs doc/CHANGES.tmp
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

debian/po/templates.pot: debian/templates
	debconf-updatepo

checkroot:
	test root = "`whoami`"

binary:	binary-arch binary-indep

.PHONY: binary binary-arch binary-indep unpack configure build clean checkroot

=== debian/watch ===
version=3
opts=dversionmangle=s/r$// \
ftp://ftp.tin.org/pub/news/clients/tin/v1.9/tin-([\d\.]+)\.tar\.gz

## tin 1.9.6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2009-07-24
+# Updated: 2010-09-16
 #
 
 PROJECT	= tin
@@ -9,7 +9,7 @@
 PVER	= 9
 SVER	= 6
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20100522
+DVER	= 20101126
 EXE	= tin
 
 # directory structure
@@ -335,6 +335,9 @@
 	$(L10NDIR)/de/tin.5 \
 	$(L10NDIR)/de.add \
 	$(L10NDIR)/de.po \
+	$(L10NDIR)/en_GB/tin.1 \
+	$(L10NDIR)/en_GB/tin.5 \
+	$(L10NDIR)/en_GB.po \
 	$(L10NDIR)/po4a.conf \
 	$(L10NDIR)/tin-man.pot
 
@@ -472,5 +475,3 @@
 	@$(ECHO) "Generating lzma compressd tar file..."
 	@-$(RM) -f $(PROJECT)-$(VER).tar.lzma
 	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
-	`$(ECHO) $(ALL_FILES) \
-	| $(TR) -s '[[:space:]]' "[\012*]" \

=== debian/changelog ===
tin (1:1.9.6-1) unstable; urgency=low

  * New upstream release.
    + Correctly postpones articles when the connection to the server
      fails. (Closes: #204254)
  * Stop suggesting metamail, which was removed from Debian. (Closes: #597427)
  * Updated one or more debconf translations. (Closes: #601926, #603210)

 -- Marco d'Itri <md@linux.it>  Sun, 05 Dec 2010 16:55:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper (>> 7), bison, bzip2, libpcre3-dev, libncursesw5-dev, libidn11-dev, libcanlock2-dev, libuu-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: tin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: exim4 | mail-transport-agent
-Suggests: metamail, gnupg, ispell
+Suggests: gnupg, ispell
 Provides: news-reader
 Description: A full-screen easy to use Usenet newsreader
  tin can read news locally (i.e. from /var/spool/news) or remotely (rtin or

## tin 2.0.0~20110623

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2010-09-16
+# Updated: 2011-04-17
 #
 
 PROJECT	= tin
-LVER	= 1
-PVER	= 9
-SVER	= 6
+LVER	= 2
+PVER	= 0
+SVER	= 0
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20101126
+DVER	= 20110623
 EXE	= tin
 
 # directory structure
@@ -178,8 +178,7 @@
 	$(TOPDIR)/config.sub \
 	$(TOPDIR)/configure \
 	$(TOPDIR)/configure.in \
-	$(TOPDIR)/install.sh \
-	$(TOPDIR)/mkdirs.sh \
+	$(TOPDIR)/install-sh \
 	$(TOPDIR)/tin.spec
 
 PCRE	= \
@@ -323,8 +322,6 @@
 	$(PODIR)/fr.po \
 	$(PODIR)/ru.gmo \
 	$(PODIR)/ru.po \
-	$(PODIR)/rw.gmo \
-	$(PODIR)/rw.po \
 	$(PODIR)/sv.gmo \
 	$(PODIR)/sv.po \
 	$(PODIR)/tr.gmo \
@@ -434,8 +431,7 @@
 	$(TOPDIR)/config.guess \
 	$(TOPDIR)/config.sub \
 	$(TOPDIR)/configure \
-	$(TOPDIR)/install.sh \
-	$(TOPDIR)/mkdirs.sh \
+	$(TOPDIR)/install-sh \
 	$(TOLDIR)/expiretover \
 	$(TOLDIR)/metamutt \
 	$(TOLDIR)/opt-case.pl \
@@ -475,3 +471,5 @@
 	@$(ECHO) "Generating lzma compressd tar file..."
 	@-$(RM) -f $(PROJECT)-$(VER).tar.lzma
 	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
+	`$(ECHO) $(ALL_FILES) \
+	| $(TR) -s '[[:space:]]' "[\012*]" \

=== debian/changelog ===
tin (1:2.0.0~20110623-1) unstable; urgency=low

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 26 Jun 2011 01:35:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: news
 Priority: optional
 Maintainer: Marco d'Itri <md@linux.it>
-Build-Depends: debhelper (>> 7), bison, bzip2, libpcre3-dev, libncursesw5-dev, libidn11-dev, libcanlock2-dev, libuu-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>> 7), pkg-config, bison, bzip2, libpcre3-dev, libncursesw5-dev, libidn11-dev, libcanlock2-dev, libuu-dev
+Standards-Version: 3.9.2
 
 Package: tin
 Architecture: any

## tin 2.0.0

=== debian/changelog ===
tin (1:2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Stop asking by default to use metamail, which has been removed from
    Debian.

 -- Marco d'Itri <md@linux.it>  Sun, 04 Sep 2011 11:35:38 +0200

=== debian/rules ===
--- 
+++ 
@@ -34,9 +34,12 @@
 		--with-screen=ncursesw --enable-nntp --enable-ipv6 \
 		--enable-included-msgs --enable-nls \
 		--enable-mh-mail-handling --enable-cancel-locks \
+		--with-pkg-config \
 		--with-mime-default-charset=ISO-8859-15
 
-build: debian/.stamp-build
+build: build-arch build-indep
+build-arch: debian/.stamp-build
+build-indep: debian/.stamp-build
 debian/.stamp-build: config.status
 	dh_testdir
 	cd src && $(MAKE)
@@ -78,4 +81,4 @@
 
 binary:	binary-arch binary-indep
 
-.PHONY: binary binary-arch binary-indep unpack configure build clean checkroot
+.PHONY: binary binary-arch binary-indep configure build build-arch build-indep clean checkroot

=== debian/watch ===
version=3
opts=dversionmangle=s/r$// \
ftp://ftp.tin.org/pub/news/clients/tin/v2.0/tin-([\d\.]+)\.tar\.bz2

## tin 2.1.0

=== Makefile ===
--- 
+++ 
@@ -6,10 +6,10 @@
 
 PROJECT	= tin
 LVER	= 2
-PVER	= 0
+PVER	= 1
 SVER	= 0
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20110623
+DVER	= 20111224
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Fri, 06 Jan 2012 15:04:11 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 SHELL=/bin/bash -e
 
 D := $(CURDIR)/debian/tin
+
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
 
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

## tin 2.1.1

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2011-04-17
+# Updated: 2012-03-25
 #
 
 PROJECT	= tin
 LVER	= 2
 PVER	= 1
-SVER	= 0
+SVER	= 1
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20111224
+DVER	= 20120623
 EXE	= tin
 
 # directory structure
@@ -64,6 +64,7 @@
 	$(SRCDIR)/group.c \
 	$(SRCDIR)/hashstr.c \
 	$(SRCDIR)/header.c \
+	$(SRCDIR)/heapsort.c \
 	$(SRCDIR)/help.c\
 	$(SRCDIR)/inews.c \
 	$(SRCDIR)/init.c \
@@ -325,7 +326,9 @@
 	$(PODIR)/sv.gmo \
 	$(PODIR)/sv.po \
 	$(PODIR)/tr.gmo \
-	$(PODIR)/tr.po
+	$(PODIR)/tr.po \
+	$(PODIR)/zh_TW.po \
+	$(PODIR)/zh_TW.gmo
 
 L10NFILES = \
 	$(L10NDIR)/de/tin.1 \
@@ -340,7 +343,7 @@
 
 ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(INTLFILES) $(POFILES) $(L10NFILES)
 
-ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(INTLDIR) $(PODIR) $(L10NDIR) $(L10NDIR)/de
+ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(INTLDIR) $(PODIR) $(L10NDIR) $(L10NDIR)/de $(L10NDIR)/en_GB
 
 # standard commands
 CD	= cd
@@ -471,5 +474,3 @@
 	@$(ECHO) "Generating lzma compressd tar file..."
 	@-$(RM) -f $(PROJECT)-$(VER).tar.lzma
 	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
-	`$(ECHO) $(ALL_FILES) \
-	| $(TR) -s '[[:space:]]' "[\012*]" \

=== debian/changelog ===
tin (1:2.1.1-1build1) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 05:17:41 +0000

tin (1:2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Enabled debugging support. (Closes: #671170)
  * Switched from libidn to libicu.
  * Updated one or more debconf translations. (Closes: #658462, #668447)

 -- Marco d'Itri <md@linux.it>  Mon, 25 Jun 2012 02:31:17 +0200

=== debian/control ===
Source: tin
Section: news
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>> 7), pkg-config, bison, libpcre3-dev, libncursesw5-dev, libicu-dev, libcanlock2-dev, libuu-dev
Standards-Version: 3.9.3.1

Package: tin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: default-mta | mail-transport-agent
Suggests: gnupg, ispell
Provides: news-reader
Description: A full-screen easy to use Usenet newsreader
 tin can read news locally (i.e. from /var/spool/news) or remotely (rtin or
 tin -r option) via an NNTP (Network News Transport Protocol) server.
Homepage: http://www.tin.org/

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 		--with-screen=ncursesw --enable-nntp --enable-ipv6 \
 		--enable-included-msgs --enable-nls \
 		--enable-mh-mail-handling --enable-cancel-locks \
-		--with-pkg-config \
+		--enable-heapsort --enable-debug --with-pkg-config \
 		--with-mime-default-charset=ISO-8859-15
 
 build: build-arch build-indep

=== debian/watch ===
version=3
opts=dversionmangle=s/r$// \
ftp://ftp.tin.org/pub/news/clients/tin/v2.1/tin-([\d\.]+)\.tar\.bz2

## tin 2.2.0

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2012-03-25
+# Updated: 2013-01-09
 #
 
 PROJECT	= tin
 LVER	= 2
-PVER	= 1
-SVER	= 1
+PVER	= 2
+SVER	= 0
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20120623
+DVER	= 20131224
 EXE	= tin
 
 # directory structure
@@ -180,6 +180,7 @@
 	$(TOPDIR)/configure \
 	$(TOPDIR)/configure.in \
 	$(TOPDIR)/install-sh \
+	$(TOPDIR)/po4a.conf \
 	$(TOPDIR)/tin.spec
 
 PCRE	= \
@@ -338,7 +339,6 @@
 	$(L10NDIR)/en_GB/tin.1 \
 	$(L10NDIR)/en_GB/tin.5 \
 	$(L10NDIR)/en_GB.po \
-	$(L10NDIR)/po4a.conf \
 	$(L10NDIR)/tin-man.pot
 
 ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(INTLFILES) $(POFILES) $(L10NFILES)
@@ -359,12 +359,12 @@
 TAR	= tar
 GZIP	= gzip
 BZIP2	= bzip2
-LZMA	= lzma
+XZ	= xz
 WC	= wc
 SED	= sed
 TR	= tr
 TEST	= test
-
+PO4A	= po4a
 
 all:
 	@$(ECHO) "Top level Makefile for the $(PROJECT) v$(VER) Usenet newsreader."
@@ -470,7 +470,7 @@
 	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.bz2
 	@$(LS) -l $(PROJECT)-$(VER).tar.bz2
 
-lzma:
-	@$(ECHO) "Generating lzma compressd tar file..."
-	@-$(RM) -f $(PROJECT)-$(VER).tar.lzma
+xz:
+	@$(ECHO) "Generating xz compressd tar file..."
+	@-$(RM) -f $(PROJECT)-$(VER).tar.xz
 	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \

=== debian/changelog ===
tin (1:2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Disable metamail by default. (Closes: #707005)
  * Updated one or more debconf translations. (Closes: #723056)

 -- Marco d'Itri <md@linux.it>  Mon, 30 Dec 2013 05:32:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: tin
 Section: news
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper (>> 7), pkg-config, bison, libpcre3-dev, libncursesw5-dev, libicu-dev, libcanlock2-dev, libuu-dev
-Standards-Version: 3.9.3.1
+Standards-Version: 3.9.5
 
 Package: tin
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 		--with-mailbox=/var/mail \
 		--with-editor=/usr/bin/editor --with-ispell=ispell \
 		--without-pgp --without-pgpk --with-gpg=gpg \
-		--with-metamail=metamail --with-slrnface=slrnface \
+		--without-metamail --with-slrnface=slrnface \
 		--with-sum=sum --with-shell=bash \
 		--with-spool-dir=/var/spool/news \
 		--with-nov-dir=/var/spool/news/over.view \

=== debian/watch ===
version=3
opts=dversionmangle=s/r$// \
ftp://ftp.tin.org/pub/news/clients/tin/v2.2/tin-([\d\.]+)\.tar\.bz2

## tin 2.2.1

=== debian/changelog ===
tin (1:2.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 10 May 2014 05:52:20 +0200

=== debian/control ===
Source: tin
Section: news
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>> 7), pkg-config, bison, libpcre3-dev, libncursesw5-dev, libicu-dev, libcanlock2-dev, libuu-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/git/users/md/tin.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/md/tin.git

Package: tin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: default-mta | mail-transport-agent
Suggests: gnupg, ispell
Provides: news-reader
Description: Full-screen easy to use Usenet newsreader
 tin can read news locally (i.e. from /var/spool/news) or remotely (rtin or
 tin -r option) via an NNTP (Network News Transport Protocol) server.
Homepage: http://www.tin.org/

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 SHELL=/bin/bash -e
 
 D := $(CURDIR)/debian/tin
+
+DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
 
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk

=== debian/watch ===
version=3
opts=dversionmangle=s/r$//,pgpsigurlmangle=s/$/.sign/ \
ftp://ftp.tin.org/pub/news/clients/tin/v2.2/tin-([\d\.]+)\.tar\.xz

## tin 2.3.1

=== Makefile ===
--- 
+++ 
@@ -6,10 +6,10 @@
 
 PROJECT	= tin
 LVER	= 2
-PVER	= 2
-SVER	= 0
+PVER	= 3
+SVER	= 1
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20131224
+DVER	= 20141224
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Support reproducible builds.

 -- Marco d'Itri <md@linux.it>  Fri, 27 Mar 2015 06:36:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper (>> 7), pkg-config, bison, libpcre3-dev, libncursesw5-dev, libicu-dev, libcanlock2-dev, libuu-dev
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/git/users/md/tin.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/md/tin.git
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/users/md/tin.git
+Vcs-Browser: http://anonscm.debian.org/cgit/users/md/tin.git
 
 Package: tin
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk
 
+CPPFLAGS+=$(shell sh debian/cpp_reprtime include/reprtime.h)
+
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
@@ -17,7 +19,7 @@
 endif
 
 clean:
-	rm -f debian/.stamp-* doc/CHANGES.tmp
+	rm -f debian/.stamp-* doc/CHANGES.tmp include/reprtime.h
 	$(MAKE) distclean
 	dh_clean

## tin 2.3.2

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2013-01-09
+# Updated: 2015-08-29
 #
 
 PROJECT	= tin
 LVER	= 2
 PVER	= 3
-SVER	= 1
+SVER	= 2
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20141224
+DVER	= 20151224
 EXE	= tin
 
 # directory structure
@@ -328,6 +328,8 @@
 	$(PODIR)/sv.po \
 	$(PODIR)/tr.gmo \
 	$(PODIR)/tr.po \
+	$(PODIR)/zh_CN.po \
+	$(PODIR)/zh_CN.gmo \
 	$(PODIR)/zh_TW.po \
 	$(PODIR)/zh_TW.gmo
 
@@ -473,4 +475,3 @@
 xz:
 	@$(ECHO) "Generating xz compressd tar file..."
 	@-$(RM) -f $(PROJECT)-$(VER).tar.xz
-	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \

=== debian/changelog ===
tin (1:2.3.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/cpp_reprtime: set TZ=UTC to fix reproducible builds.

 -- Marco d'Itri <md@linux.it>  Sun, 27 Dec 2015 06:20:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: news
 Priority: optional
 Maintainer: Marco d'Itri <md@linux.it>
-Build-Depends: debhelper (>> 7), pkg-config, bison, libpcre3-dev, libncursesw5-dev, libicu-dev, libcanlock2-dev, libuu-dev
+Build-Depends: debhelper (>> 7), autotools-dev, pkg-config, bison, libpcre3-dev, libncursesw5-dev, libicu-dev, libcanlock2-dev, libuu-dev
 Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/users/md/tin.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/md/tin.git
+Vcs-Git: https://anonscm.debian.org/git/users/md/tin.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/md/tin.git
 
 Package: tin
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,13 @@
 clean:
 	rm -f debian/.stamp-* doc/CHANGES.tmp include/reprtime.h
 	$(MAKE) distclean
+	dh_autotools-dev_restoreconfig
 	dh_clean
 
 configure: config.status
 config.status:
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	./configure $(configure_flags) \
 		--prefix=/usr --mandir=\$${prefix}/share/man \
 		--with-pcre=/usr --with-domain-name=/etc/mailname \

=== debian/watch ===
version=3
opts=dversionmangle=s/r$//,pgpsigurlmangle=s/$/.sign/ \
ftp://ftp.tin.org/pub/news/clients/tin/v2.3/tin-([\d\.]+)\.tar\.xz

## tin 2.4.0

=== debian/changelog ===
tin (1:2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Applied patch pre_2.4.1 with upstream fixes from the future 2.4.1
    release.
  * Dropped debian/cpp_reprtime, since gcc has SOURCE_DATE_EPOCH support
    now (patch by Alexis Bienvenüe). (Closes: #827731)

 -- Marco d'Itri <md@linux.it>  Mon, 31 Oct 2016 00:17:20 +0100
